Bug 59833

Summary: Layout test failures after r85355
Product: WebKit Reporter: Kenneth Russell <kbr>
Component: New BugsAssignee: Abhishek Arya <inferno>
Status: RESOLVED FIXED    
Severity: Normal CC: ossy
Priority: P2    
Version: 528+ (Nightly build)   
Hardware: PC   
OS: OS X 10.5   

Description Kenneth Russell 2011-04-29 14:43:55 PDT
http://trac.webkit.org/changeset/85355 (https://bugs.webkit.org/show_bug.cgi?id=58249) seems to have introduced some layout test failures. I'm not sure whether these need simple rebaselines or are more complex failures.

fast/table/prepend-in-anonymous-table.html
tables/mozilla_expected_failures/other/test4.html
fast/table/dynamic-caption-add-before-child.xhtml
fast/table/dynamic-caption-add-remove-before-child.xhtml
fast/table/multiple-captions-display.xhtml

See http://test-results.appspot.com/dashboards/flakiness_dashboard.html#group=%40ToT%20-%20chromium.org&tests=fast%2Ftable%2Fprepend-in-anonymous-table.html%2Ctables%2Fmozilla_expected_failures%2Fother%2Ftest4.html%2Cfast%2Ftable%2Fdynamic-caption-add-before-child.xhtml%2Cfast%2Ftable%2Fdynamic-caption-add-remove-before-child.xhtml%2Cfast%2Ftable%2Fmultiple-captions-display.xhtml

Suppressing these failures for the moment.
Comment 1 Abhishek Arya 2011-04-29 14:48:37 PDT
I checked, these are all rebaselines needed for chromium.
Comment 3 Abhishek Arya 2011-04-29 16:13:20 PDT
Committed r85365: <http://trac.webkit.org/changeset/85365>
Comment 4 Csaba Osztrogon√°c 2011-04-30 00:01:20 PDT
I updated Qt specific expected files: http://trac.webkit.org/changeset/85392
Comment 5 Abhishek Arya 2011-04-30 07:48:06 PDT
(In reply to comment #4)
> I updated Qt specific expected files: http://trac.webkit.org/changeset/85392

Thank you Ossy.
Comment 6 Kenneth Russell 2011-05-02 11:54:12 PDT
Abhishek, thanks for checking in the rebaselines -- could you please update LayoutTests/platform/chromium/test_expectations.txt and remove the expected failures? Please check the canaries after this change and make sure these tests don't start failing. Thanks.
Comment 7 Abhishek Arya 2011-05-02 12:10:49 PDT
(In reply to comment #6)
> Abhishek, thanks for checking in the rebaselines -- could you please update LayoutTests/platform/chromium/test_expectations.txt and remove the expected failures? Please check the canaries after this change and make sure these tests don't start failing. Thanks.

Thanks Ken. Done in http://trac.webkit.org/changeset/85500.